## useProfile

A custom hook containing react-query queries and mutations and other logic related to interacting with UserProfile objects.

View Source src/hooks/useProfile.ts, line 8

# Methods

#### # async inner getProfile()

The callback responsible for retrieving the Profile matching the given ID from the API , used by the react-query useQuery hook.

- @memberOf useProfile

View Source src/hooks/useProfile.ts, line 31